@color-red: #e53138;
@color-blue: #0092BC;
@color-gray: #848687;
@color-green: #51A026;

@color-dark-red: darken(@color-red, 7%);
@color-dark-blue: darken(@color-blue, 7%);

@color-header: #ba3925;
@color-default: #333;
@color-background: #EEE;
@color-border: #CCC;

@import 'fonts/all';

html {
    color: @color-default;
    margin: 0;
    padding: 0;

    @media screen {
        font-size: 16px;
    }

    @media print {
        font-size: 9pt;
    }
}

body {
    font-family: Open Sans, DejaVu Sans, sans-serif;
    /* font-family: Noto Serif, DejaVu Serif, serif; */

    @media only screen {
        margin: 2em auto;
        @media (min-width: 768px) {
            width: 750px;
        }
        @media (min-width: 992px) {
            width: 970px;
        }
        @media (min-width: 1200px) {
            width: 1170px;
        }
    }

}

h1 { font-size: 2.75em; }
h2 { font-size: 2.3375em; }
h3 { font-size: 1.9875em; }
h4 { font-size: 1.6875em; }
h5 { font-size: 1.4350em; }
h6 { font-size: 1.2200em; }

h1, h2, h3, h4, h5, h6 {
    color: @color-header;
    font-family: Open Sans, DejaVu Sans, sans-serif;
    font-weight: 200;
    margin-bottom: .5em;
    margin-top: 1.4em;
}

code {
    font-family: Roboto Mono, DejaVu Sans Mono, monospace;
}

pre {
    background-color: lighten(@color-background, 5%);
    border: 0.25pt solid @color-border;
    font-size: .8em;
    margin: 1.2em 1.8em;
    padding: 1.2em 1.8em;
}

table {
    border: 0.25pt solid @color-border;
    border-collapse: collapse;
    width: 100%;

    td, th {
        border: 0.25pt solid @color-border;
/*         white-space: nowrap; */
/*         width: 10%; */
/*         &:last-child { */
/*             width: 90%; */
/*         } */
    }

    th {
        background-color: @color-background;
        padding: .4em 1.2em;
        text-align: left;
    }

    td {
        padding: .4em;
    }
}

a {
    &, &:hover, &:active, &:focus, &:visited {
        color: @color-dark-blue;
        text-decoration: none;
    }
}

ul.toc {
    padding: 0 2.4em;
    &, ul, li {
        list-style: none;
    }
}

div.plant-uml {
    border: 1px solid @color-border;
    box-shadow: 2px 2px 6px @color-border;
    margin: .8em 2.4em;
}

img.plant-uml {
    border: 1px solid @color-border;
    box-shadow: 2px 2px 6px @color-border;
    display: block;
    margin: .8em auto;
    max-width: 90%;
    padding: 1.8em;
    
}

blockquote {
    background-color: #f4f4f4;
    border-left: 3px solid #d4d4d4;
    margin: .8em auto;
    padding: .8em;
    width: 80%;
}

hr {
    border: 1px solid #d4d4d4;
    width: 90%;
}

@import 'mixins/admonition';
@import 'mixins/pdf';
